/* ----------------------------------------------------------------------
   LAMMPS - Large-scale Atomic/Molecular Massively Parallel Simulator
   http://lammps.sandia.gov, Sandia National Laboratories
   Steve Plimpton, sjplimp@sandia.gov

   Copyright (2003) Sandia Corporation.  Under the terms of Contract
   DE-AC04-94AL85000 with Sandia Corporation, the U.S. Government retains
   certain rights in this software.  This software is distributed under 
   the GNU General Public License.

   See the README file in the top-level LAMMPS directory.
------------------------------------------------------------------------- */

#ifdef FIX_CLASS

FixStyle(redox,FixRedOx)

#else

#ifndef LMP_FIX_REDOX_H
#define LMP_FIX_REDOX_H

#include "fix.h"

namespace LAMMPS_NS {

class FixRedOx : public Fix {
 public:
  FixRedOx(class LAMMPS *, int, char **);
  ~FixRedOx();
  int setmask();
  void post_integrate();
  double compute_scalar();

 private:
  int me,red_type,ox_type,ne;
  double red_plane,ox_plane,dz;
  double alpha,enot,beta,knot,tau;
  double e_exchange;

  class RanMars *random;

};

}

#endif
#endif
