/* ----------------------------------------------------------------------
   LAMMPS - Large-scale Atomic/Molecular Massively Parallel Simulator
   http://lammps.sandia.gov, Sandia National Laboratories
   Steve Plimpton, sjplimp@sandia.gov

   Copyright (2003) Sandia Corporation.  Under the terms of Contract
   DE-AC04-94AL85000 with Sandia Corporation, the U.S. Government retains
   certain rights in this software.  This software is distributed under 
   the GNU General Public License.

   See the README file in the top-level LAMMPS directory.
------------------------------------------------------------------------- */
#ifdef FIX_CLASS

FixStyle(imageplane,FixImagePlane)

#else

#ifndef LMP_FIX_IMAGEPLANE_H
#define LMP_FIX_IMAGEPLANE_H

#include "fix.h"

namespace LAMMPS_NS {

class FixImagePlane : public Fix {
 public:
  FixImagePlane(class LAMMPS *, int, char **);
  int setmask();
  void setup(int);
  void post_integrate();
  void pre_neighbor();

 private:
  double zplane1;
  double zplane2;
  int offset1;
  int offset2;
  int relec;
  int lelec;
  int nelec;
  double renot,lenot;
  double qsumtot,qxsumtot;

};

}

#endif
#endif
